Subject: bug#8597: closed (Re: bug#8597: horrible default colors for emacs -nw)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 May 2011 15:49:02 +0000

Your bug report

#8597: horrible default colors for emacs -nw

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8597: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8597
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8597: horrible default colors for emacs -nw
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 May 2011 18:48:47 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sat, 30 Apr 2011 12:26:37 -0700
> 
> > I think Emacs cannot figure out the background mode in a -nw session,
> > at least not in general.  There's no interface to the text terminal
> > that can tell it that.  But I will try to see if there's something
> > that can be done on Windows specifically.
> 
> OK, thanks.  If nothing can be done then please close the bug.
> 
> I think I just copied my shortcut for ordinary Emacs without -nw and then added
> the -nw.  It works fine for ordinary (non -nw) Emacs.

I fixed this (in revno 104155 on the trunk).  xterm.el already queries
the terminal about the background color, so I used a similar technique
to do the same on the w32 console, except that I needed a new
primitive for that.

I'm closing this bug.  If you see anything wrong with how the new code
works with your shortcut, feel free to reopen it.

Subject: horrible default colors for emacs -nw
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sat, 30 Apr 2011 09:09:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-04-25 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/imagesupport/include'

1. The region is a dark blue that does not invert the black foreground. So
selected text is illegible.

2. When sending a bug report the To and Subject lines have yellow text (on a
white background).  Illegible.  Other text, such as "--text follows this line--"
is cyan on white - also too light a color to be legible.

3. About the only reasonable color used for sending a bug report is for the
field names (e.g. From:) - that uses a dark green. All the rest is ridiculous:
magenta, yellow, light cyan foregrounds on a white background - by default?
What were you thinking?